# -*- coding: utf-8 -*-
#
# Author: Chris Oliver (excid3@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import wx, os
from lib import plugins, log, consts

PLUGIN_NAME = 'Example'
PLUGIN_TYPE = 'Interface'

class Example(plugins.pluginBase):
    def start(self):
        log.info(_('Example plugin is starting'))
        self.notebook = self.app.GetChildren()[0].GetChildren()[0].GetChildren()[0] # Get the notebook
        self.pane = wx.Panel(self.notebook, -1, style=wx.TAB_TRAVERSAL) # Create a new pane
        index = self.notebook.GetImageList().Add(wx.Bitmap(consts.icon_update)) # Add an icon for the tab
        
        self.status = wx.StaticText(self.pane, -1, _("This is an example plugin.") + " :-)")
        sizer_1 = wx.BoxSizer(wx.HORIZONTAL) # need 2 sizers, one for vertical one for horizontal, center in both
        sizer_2 = wx.BoxSizer(wx.VERTICAL)

        sizer_2.Add(self.status, 0, wx.ALIGN_CENTER_HORIZONTAL, 0)
        sizer_1.Add(sizer_2, 1, wx.ALIGN_CENTER_VERTICAL, 0)
        self.pane.SetSizer(sizer_1)
        #self.pane.SetScrollRate(10, 10)
        self.notebook.AddPage(self.pane, _("Example"), False, index) # Add the pane

    def cleanup(self):
        log.info(_('Example plugin is cleaning up'))
        for i in range(self.notebook.GetPageCount()): # Find the page and select it
            if self.notebook.GetPageText(i) == _("Example"):
                self.notebook.RemovePage(i)
                break
